[
{
    blockid=address;
    help=service_smtp_address_address;
    custom="com.netscape.management.msgserv.ServiceMTARoutingControl";
    localvar={
	.rewritestyle.text="\"\ubcf4\ub0b8 \uc0ac\ub78c\" \uc8fc\uc18c \ub2e4\uc2dc \uc4f0\uae30 \uc2a4\ud0c0\uc77c:";
	.rewritestyle.labels=["\"john doe\"<jdoe@example.com>","jdoe@example.com (John Doe)","jdoe@example.com","\uc8fc\uc18c \ub2e4\uc2dc \uc4f0\uc9c0 \uc54a\uc74c"];
	.rewrite.text="\uc218\uc2e0\uc790\uc758 LDAP \ud56d\ubaa9\uc758 \uc18d\uc131\uc5d0 \ub530\ub77c SMTP \ud3b8\uc9c0 \ubd09\ud22c \uc8fc\uc18c \ub2e4\uc2dc \uc4f0\uae30:";
	.rewrite.1.text="mailRoutingAddress \uc18d\uc131 \uc0ac\uc6a9";
	.rewrite.2.text="mailHost \uc18d\uc131\uacfc uid \uacb0\ud569";
	.rewrite.4.text="mailHost \uc18d\uc131\uacfc \uc8fc\uc18c\uc758 \ub85c\uceec \ubd80\ubd84 \uacb0\ud569";
	.fallback.text="\uc11c\ubc84\uc5d0\uc11c \uc9c0\uc815\ub41c \uc804\uc790 \uc6b0\ud3b8 \uc8fc\uc18c\uc758 LDAP \ud56d\ubaa9\uc744 \ucc3e\uc744 \uc218 \uc5c6\uc744 \uacbd\uc6b0 \uc120\ud0dd\ud55c \uba54\uc18c\ub4dc\ub97c \uc0ac\uc6a9\ud558\uc5ec \ub2e4\uc2dc \uac80\uc0c9\ud569\ub2c8\ub2e4.";
	.fallback.1.text="\uc0ac\uc6a9\uc790 \uc815\uc758 \ub3c4\uba54\uc778 \uac80\uc0c9";
	.fallback.2.text="\uc798\ub9b0 \ub3c4\uba54\uc778 \uac80\uc0c9(\ub85c\uceec\uc77c \uacbd\uc6b0 \ud638\uc2a4\ud2b8 \ubd80\ubd84 \uc0ad\uc81c)";
	.fallback.4.text="\uc0ac\uc6a9\uc790 ID(uid)\ub85c \uac80\uc0c9";
	.routing.header="SMTP \ub77c\uc6b0\ud305 \ud14c\uc774\ube14:";
	.delimiter="$";
	.addentry.title="SMTP \ub77c\uc6b0\ud305 \ud56d\ubaa9";
	.editentry.title="SMTP \ub77c\uc6b0\ud305 \ud56d\ubaa9";
    };
    content=[
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=rewritelabel;
	    text=$.rewrite.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=rewrite0;
			    label=rewritelabel;
			    text=$.rewrite.1.text;
			},
			{
			    ctrl=togglepane;
			    id=rewrite1;
			    label=rewritelabel;
			    text=$.rewrite.2.text;
			},
			{
			    ctrl=togglepane;
			    id=rewrite2;
			    label=rewritelabel;
			    text=$.rewrite.4.text;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=stylelabel;
		    text=$.rewritestyle.text;
		    wrap=$g.label.size2;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=choice;
		    label=stylelabel;
		    labels=$.rewritestyle.labels;
		    items=[quoted,comment,qualify,never];
		    aligny=0.5;
		    val=$service.smtp.smtp-router.smtprewritestyle.value;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=fallbacklabel;
	    text=$.fallback.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=proxy;
		    label=fallbacklabel;
		    val=$service.smtp.smtp-router.fallbacksearchmethod.value;
		},
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=fallback0;
			    text=$.fallback.1.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback1;
			    text=$.fallback.2.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback2;
			    text=$.fallback.4.text;
			    text="\uc0ac\uc6a9\uc790 ID(uid)\ub85c \uac80\uc0c9";
			    label=fallbacklabel;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=stdtable;
	    stdtable=true;
	    addui=routedialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.addentry.title;
	    editui=routedialog;
	    edittitle=$.editentry.title;
	    val=$service.smtp.smtp-router.hostrewrites.value;
	    label=routinglabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=$.delimiter;
	    visiblerows=5;
	    columns=[
		{
		    header=$.routing.header;
		    varname=routeentry;
		}
	    ]
	}
    ]
},
{
    blockid=routedialog;
    help=service_smtp_address_routedialog;
    localvar={
	.route.help="\ub77c\uc6b0\ud305 \ud14c\uc774\ube14 \ud56d\ubaa9:";
	.example.entry="abc.com:host.xyz.com";
    };
    content=[
	{
	    ctrl=label;
	    id=routelabel;
	    wrap=$g.label.size3;
	    text=$.route.help;
	},
	{
	    ctrl=text;
	    label=routelabel;
	    val=$routeentry;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$.example.entry;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]
